Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005076 [DCSS] Bug Report minor always 2011-12-16 22:43 2013-11-20 00:49
Reporter moxian View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.10 ancient branch
Summary 0005076: Felids can't wield clubs even with sticks to snakes memorized
Description So, I have sticks to snakes, I want to transmute club or spear, and I cannot, because I cannot wield them.

Actually it's rather funny how they can take in their mouth anything except weapons.
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Sticks-to-snakes-now-can-transmute-sticks-on-the-gro.patch [^] (2,523 bytes) 2011-12-17 05:40 [Show Content]

- Relationships

-  Notes
(0016294)
ion_frigate (reporter)
2011-12-17 00:26

This has been suggested before, at https://crawl.develz.org/wiki/doku.php?id=dcss:brainstorm:species:cat#let_them_wield_weapons [^] . The gist of the problem seems to be that it would be technically difficult to do - a lot of things would need to be changed to make sure that felids don't get any other benefits of wielding a weapon. I suggested there that S2S ask for an item for felids not wielding arrows, but sadly no developer seems to have taken to that idea.
(0016298)
moxian (reporter)
2011-12-17 05:40
edited on: 2011-12-17 05:50

If S2S could transmute items directly in inventory, it would take much less time, and I don't know if this kind of buff is acceptable - I know nothing about balance.

But the wiki had a nice idea about S2S being able to transmute items on the ground. I liked it and made a patch for it.
It is still a slight buff - now all species can transmute GSC into water moccasins, but the comment in code reasonably states that "Still, it's unlikely any character is strong enough to bother lugging a few of these around. - bwr".

UPD: I probably should have changed spell wording as well, but I don't know how it is done.

(0016299)
elliptic (developer)
2011-12-17 08:19

I don't think letting everyone transmute GSC is a good idea... carrying capacity limitations tend to just make things more annoying (if you can only carry 2 GSCs at a time while having the capacity to carry everything else you want to carry, then you'll be traveling around to find a replacement GSC whenever you use one up).
(0016316)
ion_frigate (reporter)
2011-12-18 05:09

En re transmuting items in inventory, you could do it as follows:

Casting S2S as a felid not wielding arrows brings up a prompt that says "Wield which item?" Selecting arrows will cause you to actually wield them, and then transmute one. Selecting a weapon would make you 'wield' it (i.e. take an extra turn, and cast the spell directly from inventory). Thus you could avoid allowing felids to transmute GC/GSC with reasonable flavour ("That's too heavy for you to wield."). Felids would be unable to pre-wield clubs for quick S2S casting, but that's a pretty minor loss and also thematically makes sense.
(0024373)
MarvinPA (developer)
2013-11-10 20:10

S2S doesn't work on non-missiles anyway now.

- Issue History
Date Modified Username Field Change
2011-12-16 22:43 moxian New Issue
2011-12-17 00:26 ion_frigate Note Added: 0016294
2011-12-17 05:40 moxian Note Added: 0016298
2011-12-17 05:40 moxian File Added: 0001-Sticks-to-snakes-now-can-transmute-sticks-on-the-gro.patch
2011-12-17 05:50 moxian Note Edited: 0016298
2011-12-17 08:19 elliptic Note Added: 0016299
2011-12-18 05:09 ion_frigate Note Added: 0016316
2013-03-31 07:46 mumra Issue Monitored: mumra
2013-11-10 20:10 MarvinPA Note Added: 0024373
2013-11-10 20:10 MarvinPA Status new => resolved
2013-11-10 20:10 MarvinPA Fixed in Branch => 0.14 development branch
2013-11-10 20:10 MarvinPA Resolution open => done
2013-11-10 20:10 MarvinPA Assigned To => MarvinPA
2013-11-20 00:49 moxian Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker